Skip to content
Start here

Get users

client.zeroTrust.access.users.list(UserListParams { account_id, email, name, 3 more } params, RequestOptionsoptions?): V4PagePaginationArray<UserListResponse { id, access_seat, active_device_count, 8 more } >
GET/accounts/{account_id}/access/users

Gets a list of users for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: Audit Logs Read
ParametersExpand Collapse
params: UserListParams { account_id, email, name, 3 more }
account_id: string

Path param: Identifier.

maxLength32
email?: string

Query param: The email of the user.

name?: string

Query param: The name of the user.

page?: number

Query param: Page number of results.

per_page?: number

Query param: Number of results per page.

ReturnsExpand Collapse
UserListResponse { id, access_seat, active_device_count, 8 more }
id?: string

UUID.

maxLength36
access_seat?: boolean

True if the user has authenticated with Cloudflare Access.

active_device_count?: number

The number of active devices registered to the user.

created_at?: string
formatdate-time
email?: string

The email of the user.

formatemail
gateway_seat?: boolean

True if the user has logged into the WARP client.

last_successful_login?: string

The time at which the user last successfully logged in.

formatdate-time
name?: string

The name of the user.

seat_uid?: string

The unique API identifier for the Zero Trust seat.

uid?: string

The unique API identifier for the user.

updated_at?: string
formatdate-time

Get users

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const userListResponse of client.zeroTrust.access.users.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(userListResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "access_seat": false,
      "active_device_count": 2,
      "created_at": "2014-01-01T05:20:00.12345Z",
      "email": "jdoe@example.com",
      "gateway_seat": false,
      "last_successful_login": "2020-07-01T05:20:00Z",
      "name": "Jane Doe",
      "seat_uid": "seat_uid",
      "uid": "uid",
      "updated_at": "2014-01-01T05:20:00.12345Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 100,
    "total_count": 1,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "access_seat": false,
      "active_device_count": 2,
      "created_at": "2014-01-01T05:20:00.12345Z",
      "email": "jdoe@example.com",
      "gateway_seat": false,
      "last_successful_login": "2020-07-01T05:20:00Z",
      "name": "Jane Doe",
      "seat_uid": "seat_uid",
      "uid": "uid",
      "updated_at": "2014-01-01T05:20:00.12345Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 100,
    "total_count": 1,
    "total_pages": 100
  }
}